Bug 229337 - CVE-2007-0906 PHP security issues (CVE-2007-0907, CVE-2007-0908, CVE-2007-0909, CVE-2007-0910, CVE-2007-0988)
CVE-2007-0906 PHP security issues (CVE-2007-0907, CVE-2007-0908, CVE-2007-090...
Status: CLOSED ERRATA
Product: Red Hat Web Application Stack
Classification: Retired
Component: php (Show other bugs)
v1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Gurhan Ozen
source=internet,public=20070208,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-20 08:31 EST by Joe Orton
Modified: 2013-11-03 20:32 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0088
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-22 06:11:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2007-02-20 08:31:22 EST
+++ This bug was initially created as a clone of Bug #228858 +++

Description of problem:
1. If unserializing untrusted data on 64-bit platforms the
zend_hash_init() function can be forced to enter an infinite loop,
consuming CPU resources, for a limited length of time, until the
script timeout alarm aborts the script  (CVE-2007-0988)

2. If a script uses the imap_mail_compose() function to create a new MIME
message based on an input body from an untrusted source, an attacker may be able
to force a heap overflow (CVE-2006-0906)

3. If the format string could passed to one of the functions in the printf()
family could be controlled by an attacker via untrusted data, then an
out-of-bounds memory read could crash the Apache child process (CVE-2006-0909)

4. If very long strings are passed to the str_replace() function then an integer
overflow could occur in memory allocation, which could lead to a heap buffer
overflow.  (CVE-2006-0906)

5. If the wddx extension is used to import WDDX data from an untrusted source,
certain WDDX input packets may allow a random portion of heap memory to be
exposed.  (CVE-2006-0908)

6. If the odbc_result_all() function is used to display
data from a database, and the contents of the database table are under
the control of an attacker, a format string vulnerability is possible.
(CVE-2006-0909)

7. Unspecified stack overflows and stack corruptions, and super-global clobbers
vulnerabilities in the session extension.  (CVE-2006-0906, CVE-2006-0910)
Comment 3 Red Hat Bugzilla 2007-02-22 06:11:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0088.html

Note You need to log in before you can comment on or make changes to this bug.